/**
 * 
 */
package com.wjholden.nmap;

import java.util.ArrayList;

import android.util.Log;

/**
 * NmapError is an error logging utility designed to save information
 * that previously went to Log.d. Many users do not know hot to get
 * debugging information from Logcat.
 * 
 * @author William John Holden (wjholden@gmail.com)
 * @version 0.1
 * @since 0.4.1
 */
public class NmapError implements Nmap_Constants {

	private ArrayList<String> errors;
	
	public NmapError()
	{
		errors = new ArrayList<String>();
	}
	
	/**
	 * Commit a new entry into the log.
	 * If Nmap.DEBUG is true then the entry will also output to Logcat.
	 * @param s The String Logged.
	 */
	public void Log(String s)
	{
		if (s == null)
		{
			Nmap.ne.Log("Log was given a null string.");
			return;
		}
		
		errors.add(s);
		if (Nmap.DEBUG)
			Log.d(TAG, s);
	}
	
	/**
	 * Grabs all lines of output previously stored using NmapError.Log(String).
	 * @return All lines of output, separated by newlines.
	 */
	public String GetLog()
	{
		String s = "";
		int stop = errors.size();
		for (int i = 0; i < stop; i++)
		{
			s += errors.get(i) + "\n";
		}
		return s;
	}
}
